<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Personalihaldussüsteem</title>
    <!-- Bootstrapi CSS-i lingin ENNE enda omi!!! -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="assets/popup.css">
    <link rel="stylesheet" href="assets/app.css">
</head>

<body>

    <div id="wrapper" class="container">
        <nav class="navbar navbar-dark bg-primary">
            <div id="sessionBox">
                <span id="usernameSpan"></span> | <a href="javascript:displayUserEditPopup()">muuda parooli</a> | <a
                    href="javascript:doLogout()">logi välja</a>
            </div>
            <div class="form-inline">
                <input class="form-control mr-sm-2" type="search" placeholder="Otsi töötajat" aria-label="Search"
                    onkeyup="doSearch(event)">
            </div>
        </nav>
        <br>
        <main>
            <h1>Töötajad</h1>
            <div id="personsList" class="accordion">
            </div>
            <br>
            <button class="btn btn-primary btn-lg" onclick="displayEmployeePopup()">Lisa töötaja</button>
        </main>
    </div>

    <template id="registerTemplate">
        <div class="registerContainer">
            <h1>Registreeri konto</h1>
            <div id="errorBox" style="display: none;" class="alert alert-danger">
            </div>
            <label for="registerUsername">Kasutajatunnus:</label>
            <input class="form-control" type="text" id="registerUsername">
            <label for="registerPassword">Parool:</label>
            <input class="form-control" type="password" id="registerPassword">
            <label for="registerPassword2">Parool uuesti:</label>
            <input class="form-control" type="password" id="registerPassword2">
            <br>
            <button class="btn btn-primary" onclick="doRegister()">Registreeri</button>
            <a href="javascript:displayLoginPopup()">Logi sisse</a>
        </div>
    </template>

    <template id="loginTemplate">
        <div class="loginContainer">
            <h4>Sisselogimine</h4>
            <label for="loginUsername">Kasutajatunnus:</label>
            <input class="form-control" type="text" id="loginUsername">
            <label for="loginPassword">Parool:</label>
            <input class="form-control" type="password" id="loginPassword">
            <br>
            <button class="btn btn-primary" onclick="doLogin()">Logi sisse</button>
            <a href="javascript:displayRegisterPropup()">Loo konto</a>
        </div>
    </template>

    <template id="userEditTemplate">
        <div class="userEditContainer">
            <h4>Parooli muutmine</h4>
            <label for="userEditPassword">Parool:</label>
            <input class="form-control" type="password" id="userEditPassword">
            <label for="userEditPassword2">Parool uuesti:</label>
            <input class="form-control" type="password" id="userEditPassword2">
            <br>
            <button class="btn btn-primary" onclick="doEditUser()">Muuda</button>
        </div>
    </template>

    <template id="employeeAddTemplate">
        <div class="employeePopupContainer">
            <h1>Lisa töötaja</h1>
            <div id="errorBox" style="display: none;" class="alert alert-danger">
            </div>
            <label for="employeeFirstName">Eesnimi:</label>
            <input class="form-control" type="text" id="employeeFirstName">
            <label for="employeeLastName">Perenimi:</label>
            <input class="form-control" type="text" id="employeeLastName">
            <label for="employeeDob">Sünniaeg:</label>
            <input class="form-control" type="date" id="employeeDob">
            <label for="employeeEducation">Haridustase:</label>
            <select class="form-control" id="employeeEducation">
            </select>
            <label for="employeePhoto"></label>
            <input class="form-control" type="file" id="employeePhoto">
            <br>
            <button class="btn btn-primary" onclick="editEmployee()">Salvesta</button>
        </div>
    </template>

    <template id="educationTemplate">
        <div class="educationContainer">
            <h1>Lõpetatud haridusasutus</h1>
            <label for="employeeSchool">Haridusasutus:</label>
            <input class="form-control" type="text" id="employeeSchool">
            <label for="employeeSchoolGraduationYear">Lõpetamise aasta:</label>
            <input class="form-control" type="number" id="employeeSchoolGraduationYear">
            <br>
            <button class="btn btn-primary btn-sm" onclick="editEducation()">Salvesta</button>
        </div>
    </template>

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <script src="assets/config.js"></script>
    <script src="assets/fetchApi.js"></script>
    <script src="assets/popup.js"></script>
    <script src="assets/app.js"></script>
</body>

</html>